import{S as ip,i as lp,s as pp,e as r,k as p,w as h,t as n,M as dp,c as a,d as o,m as d,a as s,x as m,h as i,b as l,N as cp,G as e,g as f,y as u,L as fp,q as _,o as g,B as v,v as hp}from"../../../chunks/vendor-hf-doc-builder.js";import{D as fa}from"../../../chunks/Docstring-hf-doc-builder.js";import{C as V}from"../../../chunks/CodeBlock-hf-doc-builder.js";import{I}from"../../../chunks/IconCopyLink-hf-doc-builder.js";function mp(li){let q,er,N,W,Ot,_e,ha,Mt,ma,tr,Z,J,Rt,ge,ua,Ft,_a,or,P,ve,ga,va,be,ba,xa,xe,wa,ya,rr,ut,Ta,ar,k,Gt,Pa,$a,Ht,Ea,ka,Ut,Da,sr,_t,ja,nr,gt,vt,pi,ir,bt,Ca,lr,xt,Bt,Sa,pr,wt,Aa,dr,D,Kt,we,Va,Ia,Yt,ye,qa,Na,Wt,Te,Za,cr,L,Q,Jt,Pe,La,Qt,za,fr,X,Xt,z,eo,Oa,Ma,to,Ra,Fa,yt,Ga,Ha,oo,O,ro,$e,Ua,Ba,ao,so,Ka,Ya,Tt,Ee,Wa,hr,M,ee,no,ke,Ja,io,Qa,mr,R,te,lo,De,Xa,po,es,ur,Pt,ts,_r,je,gr,$t,os,vr,j,oe,rs,Ce,as,ss,co,$,fo,ns,is,ho,ls,ps,mo,ds,cs,uo,fs,hs,E,_o,ms,us,go,_s,gs,Se,vs,bs,vo,y,bo,xs,ws,xo,ys,Ts,wo,Ps,$s,yo,Es,ks,To,Ds,js,Et,Cs,Po,Ae,$o,Ss,As,Eo,Vs,br,F,re,ko,Ve,Is,Do,qs,xr,kt,Ie,jo,Ns,Zs,qe,wr,G,H,Co,Ls,zs,Ne,Os,Ze,Ms,Dt,Rs,Fs,Gs,Le,ze,Hs,So,Us,Bs,Ks,Oe,yr,U,ae,Ao,Me,Ys,Vo,Ws,Tr,se,Js,Re,Qs,Xs,Pr,B,ne,Io,Fe,en,qo,tn,$r,ie,on,jt,rn,an,Er,C,Ge,No,sn,nn,He,ln,Ue,Zo,pn,dn,Be,cn,Ke,Ye,fn,Lo,hn,mn,un,We,kr,K,le,zo,Je,_n,Oo,gn,Dr,b,vn,Mo,bn,xn,Ro,wn,yn,Fo,Tn,Pn,Ct,$n,En,Qe,kn,Dn,Xe,jn,Cn,jr,S,et,Go,Sn,An,tt,Vn,ot,Ho,In,qn,rt,Nn,at,st,Zn,Uo,Ln,zn,On,nt,Cr,pe,Mn,it,Rn,Fn,Sr,Y,de,Bo,lt,Gn,Ko,Hn,Ar,x,pt,Un,Yo,Bn,Kn,dt,Yn,St,Wn,Jn,Qn,ce,ct,Xn,Wo,ei,ti,fe,ft,oi,Jo,ri,ai,he,ht,si,Qo,ni,Vr;return _e=new I({}),ge=new I({}),Pe=new I({}),ke=new I({}),De=new I({}),je=new V({props:{code:`import torch
from diffusers import TextToVideoZeroPipeline

model_id = "runwayml/stable-diffusion-v1-5"
pipe = TextToVideoZeroPipeline.from_pretrained(model_id, torch_dtype=torch.float16).to("cuda")

prompt = "A panda is playing guitar on times square"
result = pipe(prompt=prompt).images
imageio.mimsave("video.mp4", result, fps=4)`,highlighted:`<span class="hljs-keyword">import</span> torch
<span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> TextToVideoZeroPipeline

model_id = <span class="hljs-string">&quot;runwayml/stable-diffusion-v1-5&quot;</span>
pipe = TextToVideoZeroPipeline.from_pretrained(model_id, torch_dtype=torch.float16).to(<span class="hljs-string">&quot;cuda&quot;</span>)

prompt = <span class="hljs-string">&quot;A panda is playing guitar on times square&quot;</span>
result = pipe(prompt=prompt).images
imageio.mimsave(<span class="hljs-string">&quot;video.mp4&quot;</span>, result, fps=<span class="hljs-number">4</span>)`}}),Ve=new I({}),qe=new V({props:{code:`from huggingface_hub import hf_hub_download

filename = "__assets__/poses_skeleton_gifs/dance1_corr.mp4"
repo_id = "PAIR/Text2Video-Zero"
video_path = hf_hub_download(repo_type="space", repo_id=repo_id, filename=filename)`,highlighted:`<span class="hljs-keyword">from</span> huggingface_hub <span class="hljs-keyword">import</span> hf_hub_download

filename = <span class="hljs-string">&quot;__assets__/poses_skeleton_gifs/dance1_corr.mp4&quot;</span>
repo_id = <span class="hljs-string">&quot;PAIR/Text2Video-Zero&quot;</span>
video_path = hf_hub_download(repo_type=<span class="hljs-string">&quot;space&quot;</span>, repo_id=repo_id, filename=filename)`}}),Ne=new V({props:{code:`import imageio

reader = imageio.get_reader(video_path, "ffmpeg")
frame_count = 8
pose_images = [Image.fromarray(reader.get_data(i)) for i in range(frame_count)]`,highlighted:`<span class="hljs-keyword">import</span> imageio

reader = imageio.get_reader(video_path, <span class="hljs-string">&quot;ffmpeg&quot;</span>)
frame_count = <span class="hljs-number">8</span>
pose_images = [Image.fromarray(reader.get_data(i)) <span class="hljs-keyword">for</span> i <span class="hljs-keyword">in</span> <span class="hljs-built_in">range</span>(frame_count)]`}}),Oe=new V({props:{code:`import torch
from diffusers import StableDiffusionControlNetPipeline, ControlNetModel
from diffusers.pipelines.text_to_video_synthesis.pipeline_text_to_video_zero import CrossFrameAttnProcessor

model_id = "runwayml/stable-diffusion-v1-5"
controlnet = ControlNetModel.from_pretrained("lllyasviel/sd-controlnet-openpose", torch_dtype=torch.float16)
pipe = StableDiffusionControlNetPipeline.from_pretrained(
    model_id, controlnet=controlnet, torch_dtype=torch.float16
).to("cuda")

# Set the attention processor
pipe.unet.set_attn_processor(CrossFrameAttnProcessor(batch_size=2))
pipe.controlnet.set_attn_processor(CrossFrameAttnProcessor(batch_size=2))

# fix latents for all frames
latents = torch.randn((1, 4, 64, 64), device="cuda", dtype=torch.float16).repeat(len(pose_images), 1, 1, 1)

prompt = "Darth Vader dancing in a desert"
result = pipe(prompt=[prompt] * len(pose_images), image=pose_images, latents=latents).images
imageio.mimsave("video.mp4", result, fps=4)`,highlighted:`<span class="hljs-keyword">import</span> torch
<span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> StableDiffusionControlNetPipeline, ControlNetModel
<span class="hljs-keyword">from</span> diffusers.pipelines.text_to_video_synthesis.pipeline_text_to_video_zero <span class="hljs-keyword">import</span> CrossFrameAttnProcessor

model_id = <span class="hljs-string">&quot;runwayml/stable-diffusion-v1-5&quot;</span>
controlnet = ControlNetModel.from_pretrained(<span class="hljs-string">&quot;lllyasviel/sd-controlnet-openpose&quot;</span>, torch_dtype=torch.float16)
pipe = StableDiffusionControlNetPipeline.from_pretrained(
    model_id, controlnet=controlnet, torch_dtype=torch.float16
).to(<span class="hljs-string">&quot;cuda&quot;</span>)

<span class="hljs-comment"># Set the attention processor</span>
pipe.unet.set_attn_processor(CrossFrameAttnProcessor(batch_size=<span class="hljs-number">2</span>))
pipe.controlnet.set_attn_processor(CrossFrameAttnProcessor(batch_size=<span class="hljs-number">2</span>))

<span class="hljs-comment"># fix latents for all frames</span>
latents = torch.randn((<span class="hljs-number">1</span>, <span class="hljs-number">4</span>, <span class="hljs-number">64</span>, <span class="hljs-number">64</span>), device=<span class="hljs-string">&quot;cuda&quot;</span>, dtype=torch.float16).repeat(<span class="hljs-built_in">len</span>(pose_images), <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>)

prompt = <span class="hljs-string">&quot;Darth Vader dancing in a desert&quot;</span>
result = pipe(prompt=[prompt] * <span class="hljs-built_in">len</span>(pose_images), image=pose_images, latents=latents).images
imageio.mimsave(<span class="hljs-string">&quot;video.mp4&quot;</span>, result, fps=<span class="hljs-number">4</span>)`}}),Me=new I({}),Fe=new I({}),He=new V({props:{code:`from huggingface_hub import hf_hub_download

filename = "__assets__/pix2pix video/camel.mp4"
repo_id = "PAIR/Text2Video-Zero"
video_path = hf_hub_download(repo_type="space", repo_id=repo_id, filename=filename)`,highlighted:`<span class="hljs-keyword">from</span> huggingface_hub <span class="hljs-keyword">import</span> hf_hub_download

filename = <span class="hljs-string">&quot;__assets__/pix2pix video/camel.mp4&quot;</span>
repo_id = <span class="hljs-string">&quot;PAIR/Text2Video-Zero&quot;</span>
video_path = hf_hub_download(repo_type=<span class="hljs-string">&quot;space&quot;</span>, repo_id=repo_id, filename=filename)`}}),Be=new V({props:{code:`import imageio

reader = imageio.get_reader(video_path, "ffmpeg")
frame_count = 8
video = [Image.fromarray(reader.get_data(i)) for i in range(frame_count)]`,highlighted:`<span class="hljs-keyword">import</span> imageio

reader = imageio.get_reader(video_path, <span class="hljs-string">&quot;ffmpeg&quot;</span>)
frame_count = <span class="hljs-number">8</span>
video = [Image.fromarray(reader.get_data(i)) <span class="hljs-keyword">for</span> i <span class="hljs-keyword">in</span> <span class="hljs-built_in">range</span>(frame_count)]`}}),We=new V({props:{code:`import torch
from diffusers import StableDiffusionInstructPix2PixPipeline
from diffusers.pipelines.text_to_video_synthesis.pipeline_text_to_video_zero import CrossFrameAttnProcessor

model_id = "timbrooks/instruct-pix2pix"
pipe = StableDiffusionInstructPix2PixPipeline.from_pretrained(model_id, torch_dtype=torch.float16).to("cuda")
pipe.unet.set_attn_processor(CrossFrameAttnProcessor(batch_size=3))

prompt = "make it Van Gogh Starry Night style"
result = pipe(prompt=[prompt] * len(video), image=video).images
imageio.mimsave("edited_video.mp4", result, fps=4)`,highlighted:`<span class="hljs-keyword">import</span> torch
<span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> StableDiffusionInstructPix2PixPipeline
<span class="hljs-keyword">from</span> diffusers.pipelines.text_to_video_synthesis.pipeline_text_to_video_zero <span class="hljs-keyword">import</span> CrossFrameAttnProcessor

model_id = <span class="hljs-string">&quot;timbrooks/instruct-pix2pix&quot;</span>
pipe = StableDiffusionInstructPix2PixPipeline.from_pretrained(model_id, torch_dtype=torch.float16).to(<span class="hljs-string">&quot;cuda&quot;</span>)
pipe.unet.set_attn_processor(CrossFrameAttnProcessor(batch_size=<span class="hljs-number">3</span>))

prompt = <span class="hljs-string">&quot;make it Van Gogh Starry Night style&quot;</span>
result = pipe(prompt=[prompt] * <span class="hljs-built_in">len</span>(video), image=video).images
imageio.mimsave(<span class="hljs-string">&quot;edited_video.mp4&quot;</span>, result, fps=<span class="hljs-number">4</span>)`}}),Je=new I({}),tt=new V({props:{code:`from huggingface_hub import hf_hub_download

filename = "__assets__/canny_videos_mp4/girl_turning.mp4"
repo_id = "PAIR/Text2Video-Zero"
video_path = hf_hub_download(repo_type="space", repo_id=repo_id, filename=filename)`,highlighted:`<span class="hljs-keyword">from</span> huggingface_hub <span class="hljs-keyword">import</span> hf_hub_download

filename = <span class="hljs-string">&quot;__assets__/canny_videos_mp4/girl_turning.mp4&quot;</span>
repo_id = <span class="hljs-string">&quot;PAIR/Text2Video-Zero&quot;</span>
video_path = hf_hub_download(repo_type=<span class="hljs-string">&quot;space&quot;</span>, repo_id=repo_id, filename=filename)`}}),rt=new V({props:{code:`import imageio

reader = imageio.get_reader(video_path, "ffmpeg")
frame_count = 8
video = [Image.fromarray(reader.get_data(i)) for i in range(frame_count)]`,highlighted:`<span class="hljs-keyword">import</span> imageio

reader = imageio.get_reader(video_path, <span class="hljs-string">&quot;ffmpeg&quot;</span>)
frame_count = <span class="hljs-number">8</span>
video = [Image.fromarray(reader.get_data(i)) <span class="hljs-keyword">for</span> i <span class="hljs-keyword">in</span> <span class="hljs-built_in">range</span>(frame_count)]`}}),nt=new V({props:{code:`import torch
from diffusers import StableDiffusionControlNetPipeline, ControlNetModel
from diffusers.pipelines.text_to_video_synthesis.pipeline_text_to_video_zero import CrossFrameAttnProcessor

# set model id to custom model
model_id = "PAIR/text2video-zero-controlnet-canny-avatar"
controlnet = ControlNetModel.from_pretrained("lllyasviel/sd-controlnet-canny", torch_dtype=torch.float16)
pipe = StableDiffusionControlNetPipeline.from_pretrained(
    model_id, controlnet=controlnet, torch_dtype=torch.float16
).to("cuda")

# Set the attention processor
pipe.unet.set_attn_processor(CrossFrameAttnProcessor(batch_size=2))
pipe.controlnet.set_attn_processor(CrossFrameAttnProcessor(batch_size=2))

# fix latents for all frames
latents = torch.randn((1, 4, 64, 64), device="cuda", dtype=torch.float16).repeat(len(pose_images), 1, 1, 1)

prompt = "oil painting of a beautiful girl avatar style"
result = pipe(prompt=[prompt] * len(pose_images), image=pose_images, latents=latents).images
imageio.mimsave("video.mp4", result, fps=4)`,highlighted:`<span class="hljs-keyword">import</span> torch
<span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> StableDiffusionControlNetPipeline, ControlNetModel
<span class="hljs-keyword">from</span> diffusers.pipelines.text_to_video_synthesis.pipeline_text_to_video_zero <span class="hljs-keyword">import</span> CrossFrameAttnProcessor

<span class="hljs-comment"># set model id to custom model</span>
model_id = <span class="hljs-string">&quot;PAIR/text2video-zero-controlnet-canny-avatar&quot;</span>
controlnet = ControlNetModel.from_pretrained(<span class="hljs-string">&quot;lllyasviel/sd-controlnet-canny&quot;</span>, torch_dtype=torch.float16)
pipe = StableDiffusionControlNetPipeline.from_pretrained(
    model_id, controlnet=controlnet, torch_dtype=torch.float16
).to(<span class="hljs-string">&quot;cuda&quot;</span>)

<span class="hljs-comment"># Set the attention processor</span>
pipe.unet.set_attn_processor(CrossFrameAttnProcessor(batch_size=<span class="hljs-number">2</span>))
pipe.controlnet.set_attn_processor(CrossFrameAttnProcessor(batch_size=<span class="hljs-number">2</span>))

<span class="hljs-comment"># fix latents for all frames</span>
latents = torch.randn((<span class="hljs-number">1</span>, <span class="hljs-number">4</span>, <span class="hljs-number">64</span>, <span class="hljs-number">64</span>), device=<span class="hljs-string">&quot;cuda&quot;</span>, dtype=torch.float16).repeat(<span class="hljs-built_in">len</span>(pose_images), <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>)

prompt = <span class="hljs-string">&quot;oil painting of a beautiful girl avatar style&quot;</span>
result = pipe(prompt=[prompt] * <span class="hljs-built_in">len</span>(pose_images), image=pose_images, latents=latents).images
imageio.mimsave(<span class="hljs-string">&quot;video.mp4&quot;</span>, result, fps=<span class="hljs-number">4</span>)`}}),lt=new I({}),pt=new fa({props:{name:"class diffusers.TextToVideoZeroPipeline",anchor:"diffusers.TextToVideoZeroPipeline",parameters:[{name:"vae",val:": AutoencoderKL"},{name:"text_encoder",val:": CLIPTextModel"},{name:"tokenizer",val:": CLIPTokenizer"},{name:"unet",val:": UNet2DConditionModel"},{name:"scheduler",val:": KarrasDiffusionSchedulers"},{name:"safety_checker",val:": StableDiffusionSafetyChecker"},{name:"feature_extractor",val:": CLIPImageProcessor"},{name:"requires_safety_checker",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.TextToVideoZeroPipeline.vae",description:`<strong>vae</strong> (<a href="/docs/diffusers/pr_3054/en/api/models#diffusers.AutoencoderKL">AutoencoderKL</a>) &#x2014;
Variational Auto-Encoder (VAE) Model to encode and decode images to and from latent representations.`,name:"vae"},{anchor:"diffusers.TextToVideoZeroPipeline.text_encoder",description:`<strong>text_encoder</strong> (<code>CLIPTextModel</code>) &#x2014;
Frozen text-encoder. Stable Diffusion uses the text portion of
<a href="https://huggingface.co/docs/transformers/model_doc/clip#transformers.CLIPTextModel" rel="nofollow">CLIP</a>, specifically
the <a href="https://huggingface.co/openai/clip-vit-large-patch14" rel="nofollow">clip-vit-large-patch14</a> variant.`,name:"text_encoder"},{anchor:"diffusers.TextToVideoZeroPipeline.tokenizer",description:`<strong>tokenizer</strong> (<code>CLIPTokenizer</code>) &#x2014;
Tokenizer of class
<a href="https://huggingface.co/docs/transformers/v4.21.0/en/model_doc/clip#transformers.CLIPTokenizer" rel="nofollow">CLIPTokenizer</a>.`,name:"tokenizer"},{anchor:"diffusers.TextToVideoZeroPipeline.unet",description:'<strong>unet</strong> (<a href="/docs/diffusers/pr_3054/en/api/models#diffusers.UNet2DConditionModel">UNet2DConditionModel</a>) &#x2014; Conditional U-Net architecture to denoise the encoded image latents.',name:"unet"},{anchor:"diffusers.TextToVideoZeroPipeline.scheduler",description:`<strong>scheduler</strong> (<a href="/docs/diffusers/pr_3054/en/api/schedulers/overview#diffusers.SchedulerMixin">SchedulerMixin</a>) &#x2014;
A scheduler to be used in combination with <code>unet</code> to denoise the encoded image latents. Can be one of
<a href="/docs/diffusers/pr_3054/en/api/schedulers/ddim#diffusers.DDIMScheduler">DDIMScheduler</a>, <a href="/docs/diffusers/pr_3054/en/api/schedulers/lms_discrete#diffusers.LMSDiscreteScheduler">LMSDiscreteScheduler</a>, or <a href="/docs/diffusers/pr_3054/en/api/schedulers/pndm#diffusers.PNDMScheduler">PNDMScheduler</a>.`,name:"scheduler"},{anchor:"diffusers.TextToVideoZeroPipeline.safety_checker",description:`<strong>safety_checker</strong> (<code>StableDiffusionSafetyChecker</code>) &#x2014;
Classification module that estimates whether generated images could be considered offensive or harmful.
Please, refer to the <a href="https://huggingface.co/runwayml/stable-diffusion-v1-5" rel="nofollow">model card</a> for details.`,name:"safety_checker"},{anchor:"diffusers.TextToVideoZeroPipeline.feature_extractor",description:`<strong>feature_extractor</strong> (<code>CLIPImageProcessor</code>) &#x2014;
Model that extracts features from generated images to be used as inputs for the <code>safety_checker</code>.`,name:"feature_extractor"}],source:"https://github.com/huggingface/diffusers/blob/vr_3054/src/diffusers/pipelines/text_to_video_synthesis/pipeline_text_to_video_zero.py#L187"}}),ct=new fa({props:{name:"__call__",anchor:"diffusers.TextToVideoZeroPipeline.__call__",parameters:[{name:"prompt",val:": typing.Union[str, typing.List[str]]"},{name:"video_length",val:": typing.Optional[int] = 8"},{name:"height",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"},{name:"num_inference_steps",val:": int = 50"},{name:"guidance_scale",val:": float = 7.5"},{name:"negative_prompt",val:": typing.Union[str, typing.List[str], NoneType] = None"},{name:"num_videos_per_prompt",val:": typing.Optional[int] = 1"},{name:"eta",val:": float = 0.0"},{name:"generator",val:": typing.Union[torch._C.Generator, typing.List[torch._C.Generator], NoneType] = None"},{name:"latents",val:": typing.Optional[torch.FloatTensor] = None"},{name:"motion_field_strength_x",val:": float = 12"},{name:"motion_field_strength_y",val:": float = 12"},{name:"output_type",val:": typing.Optional[str] = 'tensor'"},{name:"return_dict",val:": bool = True"},{name:"callback",val:": typing.Union[typing.Callable[[int, int, torch.FloatTensor], NoneType], NoneType] = None"},{name:"callback_steps",val:": typing.Optional[int] = 1"},{name:"t0",val:": int = 44"},{name:"t1",val:": int = 47"}],parametersDescription:[{anchor:"diffusers.TextToVideoZeroPipeline.__call__.prompt",description:`<strong>prompt</strong> (<code>str</code> or <code>List[str]</code>, <em>optional</em>) &#x2014;
The prompt or prompts to guide the image generation. If not defined, one has to pass <code>prompt_embeds</code>.
instead.`,name:"prompt"},{anchor:"diffusers.TextToVideoZeroPipeline.__call__.video_length",description:"<strong>video_length</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014; The number of generated video frames",name:"video_length"},{anchor:"diffusers.TextToVideoZeroPipeline.__call__.height",description:`<strong>height</strong> (<code>int</code>, <em>optional</em>, defaults to self.unet.config.sample_size * self.vae_scale_factor) &#x2014;
The height in pixels of the generated image.`,name:"height"},{anchor:"diffusers.TextToVideoZeroPipeline.__call__.width",description:`<strong>width</strong> (<code>int</code>, <em>optional</em>, defaults to self.unet.config.sample_size * self.vae_scale_factor) &#x2014;
The width in pixels of the generated image.`,name:"width"},{anchor:"diffusers.TextToVideoZeroPipeline.__call__.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 50) &#x2014;
The number of denoising steps. More denoising steps usually lead to a higher quality image at the
expense of slower inference.`,name:"num_inference_steps"},{anchor:"diffusers.TextToVideoZeroPipeline.__call__.guidance_scale",description:`<strong>guidance_scale</strong> (<code>float</code>, <em>optional</em>, defaults to 7.5) &#x2014;
Guidance scale as defined in <a href="https://arxiv.org/abs/2207.12598" rel="nofollow">Classifier-Free Diffusion Guidance</a>.
<code>guidance_scale</code> is defined as <code>w</code> of equation 2. of <a href="https://arxiv.org/pdf/2205.11487.pdf" rel="nofollow">Imagen
Paper</a>. Guidance scale is enabled by setting <code>guidance_scale &gt; 1</code>. Higher guidance scale encourages to generate images that are closely linked to the text <code>prompt</code>,
usually at the expense of lower image quality.`,name:"guidance_scale"},{anchor:"diffusers.TextToVideoZeroPipeline.__call__.negative_prompt",description:`<strong>negative_prompt</strong> (<code>str</code> or <code>List[str]</code>, <em>optional</em>) &#x2014;
The prompt or prompts not to guide the image generation. If not defined, one has to pass
<code>negative_prompt_embeds</code> instead. Ignored when not using guidance (i.e., ignored if <code>guidance_scale</code> is
less than <code>1</code>).`,name:"negative_prompt"},{anchor:"diffusers.TextToVideoZeroPipeline.__call__.num_videos_per_prompt",description:`<strong>num_videos_per_prompt</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The number of videos to generate per prompt.`,name:"num_videos_per_prompt"},{anchor:"diffusers.TextToVideoZeroPipeline.__call__.eta",description:`<strong>eta</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
Corresponds to parameter eta (&#x3B7;) in the DDIM paper: <a href="https://arxiv.org/abs/2010.02502" rel="nofollow">https://arxiv.org/abs/2010.02502</a>. Only applies to
<a href="/docs/diffusers/pr_3054/en/api/schedulers/ddim#diffusers.DDIMScheduler">schedulers.DDIMScheduler</a>, will be ignored for others.`,name:"eta"},{anchor:"diffusers.TextToVideoZeroPipeline.__call__.generator",description:`<strong>generator</strong> (<code>torch.Generator</code> or <code>List[torch.Generator]</code>, <em>optional</em>) &#x2014;
One or a list of <a href="https://pytorch.org/docs/stable/generated/torch.Generator.html" rel="nofollow">torch generator(s)</a>
to make generation deterministic.`,name:"generator"},{anchor:"diffusers.TextToVideoZeroPipeline.__call__.latents",description:`<strong>latents</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated noisy latents, sampled from a Gaussian distribution, to be used as inputs for image
generation. Can be used to tweak the same generation with different prompts. If not provided, a latents
tensor will ge generated by sampling using the supplied random <code>generator</code>.`,name:"latents"},{anchor:"diffusers.TextToVideoZeroPipeline.__call__.output_type",description:`<strong>output_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pil&quot;</code>) &#x2014;
The output format of the generate image. Choose between
<a href="https://pillow.readthedocs.io/en/stable/" rel="nofollow">PIL</a>: <code>PIL.Image.Image</code> or <code>np.array</code>.`,name:"output_type"},{anchor:"diffusers.TextToVideoZeroPipeline.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/pr_3054/en/api/pipelines/stable_diffusion/overview#diffusers.pipelines.stable_diffusion.StableDiffusionPipelineOutput">StableDiffusionPipelineOutput</a> instead of a
plain tuple.`,name:"return_dict"},{anchor:"diffusers.TextToVideoZeroPipeline.__call__.callback",description:`<strong>callback</strong> (<code>Callable</code>, <em>optional</em>) &#x2014;
A function that will be called every <code>callback_steps</code> steps during inference. The function will be
called with the following arguments: <code>callback(step: int, timestep: int, latents: torch.FloatTensor)</code>.`,name:"callback"},{anchor:"diffusers.TextToVideoZeroPipeline.__call__.callback_steps",description:`<strong>callback_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The frequency at which the <code>callback</code> function will be called. If not specified, the callback will be
called at every step.`,name:"callback_steps"},{anchor:"diffusers.TextToVideoZeroPipeline.__call__.motion_field_strength_x",description:`<strong>motion_field_strength_x</strong> (<code>float</code>, <em>optional</em>, defaults to 12) &#x2014;
Strength of motion in generated video along x-axis. See the <a href="https://arxiv.org/abs/2303.13439" rel="nofollow">paper</a>,
Sect. 3.3.1.`,name:"motion_field_strength_x"},{anchor:"diffusers.TextToVideoZeroPipeline.__call__.motion_field_strength_y",description:`<strong>motion_field_strength_y</strong> (<code>float</code>, <em>optional</em>, defaults to 12) &#x2014;
Strength of motion in generated video along y-axis. See the <a href="https://arxiv.org/abs/2303.13439" rel="nofollow">paper</a>,
Sect. 3.3.1.`,name:"motion_field_strength_y"},{anchor:"diffusers.TextToVideoZeroPipeline.__call__.t0",description:`<strong>t0</strong> (<code>int</code>, <em>optional</em>, defaults to 44) &#x2014;
Timestep t0. Should be in the range [0, num_inference_steps - 1]. See the
<a href="https://arxiv.org/abs/2303.13439" rel="nofollow">paper</a>, Sect. 3.3.1.`,name:"t0"},{anchor:"diffusers.TextToVideoZeroPipeline.__call__.t1",description:`<strong>t1</strong> (<code>int</code>, <em>optional</em>, defaults to 47) &#x2014;
Timestep t0. Should be in the range [t0 + 1, num_inference_steps - 1]. See the
<a href="https://arxiv.org/abs/2303.13439" rel="nofollow">paper</a>, Sect. 3.3.1.`,name:"t1"}],source:"https://github.com/huggingface/diffusers/blob/vr_3054/src/diffusers/pipelines/text_to_video_synthesis/pipeline_text_to_video_zero.py#L317",returnDescription:`
<p>The output contains a ndarray of the generated images, when output_type != \u2018latent\u2019, otherwise a latent
codes of generated image, and a list of <code>bool</code>s denoting whether the corresponding generated image
likely represents \u201Cnot-safe-for-work\u201D (nsfw) content, according to the <code>safety_checker</code>.</p>
`,returnType:`
<p><code>~pipelines.text_to_video_synthesis.TextToVideoPipelineOutput</code></p>
`}}),ft=new fa({props:{name:"backward_loop",anchor:"diffusers.TextToVideoZeroPipeline.backward_loop",parameters:[{name:"latents",val:""},{name:"timesteps",val:""},{name:"prompt_embeds",val:""},{name:"guidance_scale",val:""},{name:"callback",val:""},{name:"callback_steps",val:""},{name:"num_warmup_steps",val:""},{name:"extra_step_kwargs",val:""},{name:"cross_attention_kwargs",val:" = None"}],parametersDescription:[{anchor:"diffusers.TextToVideoZeroPipeline.backward_loop.callback",description:`<strong>callback</strong> (<code>Callable</code>, <em>optional</em>) &#x2014;
A function that will be called every <code>callback_steps</code> steps during inference. The function will be
called with the following arguments: <code>callback(step: int, timestep: int, latents: torch.FloatTensor)</code>.`,name:"callback"},{anchor:"diffusers.TextToVideoZeroPipeline.backward_loop.callback_steps",description:`<strong>callback_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The frequency at which the <code>callback</code> function will be called. If not specified, the callback will be
called at every step.
extra_step_kwargs &#x2014; extra_step_kwargs.
cross_attention_kwargs &#x2014; cross_attention_kwargs.
num_warmup_steps &#x2014; number of warmup steps.`,name:"callback_steps"}],source:"https://github.com/huggingface/diffusers/blob/vr_3054/src/diffusers/pipelines/text_to_video_synthesis/pipeline_text_to_video_zero.py#L249",returnDescription:`
<p>latents of backward process output at time timesteps[-1]</p>
`,returnType:`
<p>latents</p>
`}}),ht=new fa({props:{name:"forward_loop",anchor:"diffusers.TextToVideoZeroPipeline.forward_loop",parameters:[{name:"x_t0",val:""},{name:"t0",val:""},{name:"t1",val:""},{name:"generator",val:""}],source:"https://github.com/huggingface/diffusers/blob/vr_3054/src/diffusers/pipelines/text_to_video_synthesis/pipeline_text_to_video_zero.py#L231",returnDescription:`
<p>forward process applied to x_t0 from time t0 to t1.</p>
`,returnType:`
<p>x_t1</p>
`}}),{c(){q=r("meta"),er=p(),N=r("h1"),W=r("a"),Ot=r("span"),h(_e.$$.fragment),ha=p(),Mt=r("span"),ma=n("Zero-Shot Text-to-Video Generation"),tr=p(),Z=r("h2"),J=r("a"),Rt=r("span"),h(ge.$$.fragment),ua=p(),Ft=r("span"),_a=n("Overview"),or=p(),P=r("p"),ve=r("a"),ga=n("Text2Video-Zero: Text-to-Image Diffusion Models are Zero-Shot Video Generators"),va=n(` by
Levon Khachatryan,
Andranik Movsisyan,
Vahram Tadevosyan,
Roberto Henschel,
`),be=r("a"),ba=n("Zhangyang Wang"),xa=n(", Shant Navasardyan, "),xe=r("a"),wa=n("Humphrey Shi"),ya=n("."),rr=p(),ut=r("p"),Ta=n("Our method Text2Video-Zero enables zero-shot video generation using either"),ar=p(),k=r("ol"),Gt=r("li"),Pa=n("A textual prompt, or"),$a=p(),Ht=r("li"),Ea=n("A prompt combined with guidance from poses or edges, or"),ka=p(),Ut=r("li"),Da=n("Video Instruct-Pix2Pix, i.e., instruction-guided video editing."),sr=p(),_t=r("p"),ja=n("Results are temporally consistent and follow closely the guidance and textual prompts."),nr=p(),gt=r("p"),vt=r("img"),ir=p(),bt=r("p"),Ca=n("The abstract of the paper is the following:"),lr=p(),xt=r("p"),Bt=r("em"),Sa=n(`Recent text-to-video generation approaches rely on computationally heavy training and require large-scale video datasets. In this paper, we introduce a new task of zero-shot text-to-video generation and propose a low-cost approach (without any training or optimization) by leveraging the power of existing text-to-image synthesis methods (e.g., Stable Diffusion), making them suitable for the video domain.
Our key modifications include (i) enriching the latent codes of the generated frames with motion dynamics to keep the global scene and the background time consistent; and (ii) reprogramming frame-level self-attention using a new cross-frame attention of each frame on the first frame, to preserve the context, appearance, and identity of the foreground object.
Experiments show that this leads to low overhead, yet high-quality and remarkably consistent video generation. Moreover, our approach is not limited to text-to-video synthesis but is also applicable to other tasks such as conditional and content-specialized video generation, and Video Instruct-Pix2Pix, i.e., instruction-guided video editing.
As experiments show, our method performs comparably or sometimes better than recent approaches, despite not being trained on additional video data.`),pr=p(),wt=r("p"),Aa=n("Resources:"),dr=p(),D=r("ul"),Kt=r("li"),we=r("a"),Va=n("Project Page"),Ia=p(),Yt=r("li"),ye=r("a"),qa=n("Paper"),Na=p(),Wt=r("li"),Te=r("a"),Za=n("Original Code"),cr=p(),L=r("h2"),Q=r("a"),Jt=r("span"),h(Pe.$$.fragment),La=p(),Qt=r("span"),za=n("Available Pipelines:"),fr=p(),X=r("table"),Xt=r("thead"),z=r("tr"),eo=r("th"),Oa=n("Pipeline"),Ma=p(),to=r("th"),Ra=n("Tasks"),Fa=p(),yt=r("th"),Ga=n("Demo"),Ha=p(),oo=r("tbody"),O=r("tr"),ro=r("td"),$e=r("a"),Ua=n("TextToVideoZeroPipeline"),Ba=p(),ao=r("td"),so=r("em"),Ka=n("Zero-shot Text-to-Video Generation"),Ya=p(),Tt=r("td"),Ee=r("a"),Wa=n("\u{1F917} Space"),hr=p(),M=r("h2"),ee=r("a"),no=r("span"),h(ke.$$.fragment),Ja=p(),io=r("span"),Qa=n("Usage example"),mr=p(),R=r("h3"),te=r("a"),lo=r("span"),h(De.$$.fragment),Xa=p(),po=r("span"),es=n("Text-To-Video"),ur=p(),Pt=r("p"),ts=n("To generate a video from prompt, run the following python command"),_r=p(),h(je.$$.fragment),gr=p(),$t=r("p"),os=n("You can change these parameters in the pipeline call:"),vr=p(),j=r("ul"),oe=r("li"),rs=n("Motion field strength (see the "),Ce=r("a"),as=n("paper"),ss=n(", Sect. 3.3.1):"),co=r("ul"),$=r("li"),fo=r("code"),ns=n("motion_field_strength_x"),is=n(" and "),ho=r("code"),ls=n("motion_field_strength_y"),ps=n(". Default: "),mo=r("code"),ds=n("motion_field_strength_x=12"),cs=n(", "),uo=r("code"),fs=n("motion_field_strength_y=12"),hs=p(),E=r("li"),_o=r("code"),ms=n("T"),us=n(" and "),go=r("code"),_s=n("T'"),gs=n(" (see the "),Se=r("a"),vs=n("paper"),bs=n(", Sect. 3.3.1)"),vo=r("ul"),y=r("li"),bo=r("code"),xs=n("t0"),ws=n(" and "),xo=r("code"),ys=n("t1"),Ts=n(" in the range "),wo=r("code"),Ps=n("{0, ..., num_inference_steps}"),$s=n(". Default: "),yo=r("code"),Es=n("t0=45"),ks=n(", "),To=r("code"),Ds=n("t1=48"),js=p(),Et=r("li"),Cs=n("Video length:"),Po=r("ul"),Ae=r("li"),$o=r("code"),Ss=n("video_length"),As=n(", the number of frames video_length to be generated. Default: "),Eo=r("code"),Vs=n("video_length=8"),br=p(),F=r("h3"),re=r("a"),ko=r("span"),h(Ve.$$.fragment),Is=p(),Do=r("span"),qs=n("Text-To-Video with Pose Control"),xr=n(`

To generate a video from prompt with additional pose control
`),kt=r("ol"),Ie=r("li"),jo=r("p"),Ns=n("Download a demo video"),Zs=p(),h(qe.$$.fragment),wr=p(),G=r("ol"),H=r("li"),Co=r("p"),Ls=n("Read video containing extracted pose images"),zs=p(),h(Ne.$$.fragment),Os=p(),Ze=r("p"),Ms=n("To extract pose from actual video, read "),Dt=r("a"),Rs=n("ControlNet documentation"),Fs=n("."),Gs=p(),Le=r("li"),ze=r("p"),Hs=n("Run "),So=r("code"),Us=n("StableDiffusionControlNetPipeline"),Bs=n(" with our custom attention processor"),Ks=p(),h(Oe.$$.fragment),yr=p(),U=r("h3"),ae=r("a"),Ao=r("span"),h(Me.$$.fragment),Ys=p(),Vo=r("span"),Ws=n("Text-To-Video with Edge Control"),Tr=p(),se=r("p"),Js=n(`To generate a video from prompt with additional pose control,
follow the steps described above for pose-guided generation using `),Re=r("a"),Qs=n("Canny edge ControlNet model"),Xs=n("."),Pr=p(),B=r("h3"),ne=r("a"),Io=r("span"),h(Fe.$$.fragment),en=p(),qo=r("span"),tn=n("Video Instruct-Pix2Pix"),$r=p(),ie=r("p"),on=n("To perform text-guided video editing (with "),jt=r("a"),rn=n("InstructPix2Pix"),an=n("):"),Er=p(),C=r("ol"),Ge=r("li"),No=r("p"),sn=n("Download a demo video"),nn=p(),h(He.$$.fragment),ln=p(),Ue=r("li"),Zo=r("p"),pn=n("Read video from path"),dn=p(),h(Be.$$.fragment),cn=p(),Ke=r("li"),Ye=r("p"),fn=n("Run "),Lo=r("code"),hn=n("StableDiffusionInstructPix2PixPipeline"),mn=n(" with our custom attention processor"),un=p(),h(We.$$.fragment),kr=p(),K=r("h3"),le=r("a"),zo=r("span"),h(Je.$$.fragment),_n=p(),Oo=r("span"),gn=n("Dreambooth specialization"),Dr=p(),b=r("p"),vn=n("Methods "),Mo=r("strong"),bn=n("Text-To-Video"),xn=n(", "),Ro=r("strong"),wn=n("Text-To-Video with Pose Control"),yn=n(" and "),Fo=r("strong"),Tn=n("Text-To-Video with Edge Control"),Pn=n(`
can run with custom `),Ct=r("a"),$n=n("DreamBooth"),En=n(` models, as shown below for
`),Qe=r("a"),kn=n("Canny edge ControlNet model"),Dn=n(` and
`),Xe=r("a"),jn=n("Avatar style DreamBooth"),Cn=n(" model"),jr=p(),S=r("ol"),et=r("li"),Go=r("p"),Sn=n("Download demo video from huggingface"),An=p(),h(tt.$$.fragment),Vn=p(),ot=r("li"),Ho=r("p"),In=n("Read video from path"),qn=p(),h(rt.$$.fragment),Nn=p(),at=r("li"),st=r("p"),Zn=n("Run "),Uo=r("code"),Ln=n("StableDiffusionControlNetPipeline"),zn=n(" with custom trained DreamBooth model"),On=p(),h(nt.$$.fragment),Cr=p(),pe=r("p"),Mn=n("You can filter out some available DreamBooth-trained models with "),it=r("a"),Rn=n("this link"),Fn=n("."),Sr=p(),Y=r("h2"),de=r("a"),Bo=r("span"),h(lt.$$.fragment),Gn=p(),Ko=r("span"),Hn=n("TextToVideoZeroPipeline"),Ar=p(),x=r("div"),h(pt.$$.fragment),Un=p(),Yo=r("p"),Bn=n("Pipeline for zero-shot text-to-video generation using Stable Diffusion."),Kn=p(),dt=r("p"),Yn=n("This model inherits from "),St=r("a"),Wn=n("StableDiffusionPipeline"),Jn=n(`. Check the superclass documentation for the generic methods
the library implements for all the pipelines (such as downloading or saving, running on a particular device, etc.)`),Qn=p(),ce=r("div"),h(ct.$$.fragment),Xn=p(),Wo=r("p"),ei=n("Function invoked when calling the pipeline for generation."),ti=p(),fe=r("div"),h(ft.$$.fragment),oi=p(),Jo=r("p"),ri=n("Perform backward process given list of time steps"),ai=p(),he=r("div"),h(ht.$$.fragment),si=p(),Qo=r("p"),ni=n("Perform ddpm forward process from time t0 to t1. This is the same as adding noise with corresponding variance."),this.h()},l(t){const c=dp('[data-svelte="svelte-1phssyn"]',document.head);q=a(c,"META",{name:!0,content:!0}),c.forEach(o),er=d(t),N=a(t,"H1",{class:!0});var Ir=s(N);W=a(Ir,"A",{id:!0,class:!0,href:!0});var di=s(W);Ot=a(di,"SPAN",{});var ci=s(Ot);m(_e.$$.fragment,ci),ci.forEach(o),di.forEach(o),ha=d(Ir),Mt=a(Ir,"SPAN",{});var fi=s(Mt);ma=i(fi,"Zero-Shot Text-to-Video Generation"),fi.forEach(o),Ir.forEach(o),tr=d(t),Z=a(t,"H2",{class:!0});var qr=s(Z);J=a(qr,"A",{id:!0,class:!0,href:!0});var hi=s(J);Rt=a(hi,"SPAN",{});var mi=s(Rt);m(ge.$$.fragment,mi),mi.forEach(o),hi.forEach(o),ua=d(qr),Ft=a(qr,"SPAN",{});var ui=s(Ft);_a=i(ui,"Overview"),ui.forEach(o),qr.forEach(o),or=d(t),P=a(t,"P",{});var mt=s(P);ve=a(mt,"A",{href:!0,rel:!0});var _i=s(ve);ga=i(_i,"Text2Video-Zero: Text-to-Image Diffusion Models are Zero-Shot Video Generators"),_i.forEach(o),va=i(mt,` by
Levon Khachatryan,
Andranik Movsisyan,
Vahram Tadevosyan,
Roberto Henschel,
`),be=a(mt,"A",{href:!0,rel:!0});var gi=s(be);ba=i(gi,"Zhangyang Wang"),gi.forEach(o),xa=i(mt,", Shant Navasardyan, "),xe=a(mt,"A",{href:!0,rel:!0});var vi=s(xe);wa=i(vi,"Humphrey Shi"),vi.forEach(o),ya=i(mt,"."),mt.forEach(o),rr=d(t),ut=a(t,"P",{});var bi=s(ut);Ta=i(bi,"Our method Text2Video-Zero enables zero-shot video generation using either"),bi.forEach(o),ar=d(t),k=a(t,"OL",{});var At=s(k);Gt=a(At,"LI",{});var xi=s(Gt);Pa=i(xi,"A textual prompt, or"),xi.forEach(o),$a=d(At),Ht=a(At,"LI",{});var wi=s(Ht);Ea=i(wi,"A prompt combined with guidance from poses or edges, or"),wi.forEach(o),ka=d(At),Ut=a(At,"LI",{});var yi=s(Ut);Da=i(yi,"Video Instruct-Pix2Pix, i.e., instruction-guided video editing."),yi.forEach(o),At.forEach(o),sr=d(t),_t=a(t,"P",{});var Ti=s(_t);ja=i(Ti,"Results are temporally consistent and follow closely the guidance and textual prompts."),Ti.forEach(o),nr=d(t),gt=a(t,"P",{});var Pi=s(gt);vt=a(Pi,"IMG",{src:!0,alt:!0}),Pi.forEach(o),ir=d(t),bt=a(t,"P",{});var $i=s(bt);Ca=i($i,"The abstract of the paper is the following:"),$i.forEach(o),lr=d(t),xt=a(t,"P",{});var Ei=s(xt);Bt=a(Ei,"EM",{});var ki=s(Bt);Sa=i(ki,`Recent text-to-video generation approaches rely on computationally heavy training and require large-scale video datasets. In this paper, we introduce a new task of zero-shot text-to-video generation and propose a low-cost approach (without any training or optimization) by leveraging the power of existing text-to-image synthesis methods (e.g., Stable Diffusion), making them suitable for the video domain.
Our key modifications include (i) enriching the latent codes of the generated frames with motion dynamics to keep the global scene and the background time consistent; and (ii) reprogramming frame-level self-attention using a new cross-frame attention of each frame on the first frame, to preserve the context, appearance, and identity of the foreground object.
Experiments show that this leads to low overhead, yet high-quality and remarkably consistent video generation. Moreover, our approach is not limited to text-to-video synthesis but is also applicable to other tasks such as conditional and content-specialized video generation, and Video Instruct-Pix2Pix, i.e., instruction-guided video editing.
As experiments show, our method performs comparably or sometimes better than recent approaches, despite not being trained on additional video data.`),ki.forEach(o),Ei.forEach(o),pr=d(t),wt=a(t,"P",{});var Di=s(wt);Aa=i(Di,"Resources:"),Di.forEach(o),dr=d(t),D=a(t,"UL",{});var Vt=s(D);Kt=a(Vt,"LI",{});var ji=s(Kt);we=a(ji,"A",{href:!0,rel:!0});var Ci=s(we);Va=i(Ci,"Project Page"),Ci.forEach(o),ji.forEach(o),Ia=d(Vt),Yt=a(Vt,"LI",{});var Si=s(Yt);ye=a(Si,"A",{href:!0,rel:!0});var Ai=s(ye);qa=i(Ai,"Paper"),Ai.forEach(o),Si.forEach(o),Na=d(Vt),Wt=a(Vt,"LI",{});var Vi=s(Wt);Te=a(Vi,"A",{href:!0,rel:!0});var Ii=s(Te);Za=i(Ii,"Original Code"),Ii.forEach(o),Vi.forEach(o),Vt.forEach(o),cr=d(t),L=a(t,"H2",{class:!0});var Nr=s(L);Q=a(Nr,"A",{id:!0,class:!0,href:!0});var qi=s(Q);Jt=a(qi,"SPAN",{});var Ni=s(Jt);m(Pe.$$.fragment,Ni),Ni.forEach(o),qi.forEach(o),La=d(Nr),Qt=a(Nr,"SPAN",{});var Zi=s(Qt);za=i(Zi,"Available Pipelines:"),Zi.forEach(o),Nr.forEach(o),fr=d(t),X=a(t,"TABLE",{});var Zr=s(X);Xt=a(Zr,"THEAD",{});var Li=s(Xt);z=a(Li,"TR",{});var It=s(z);eo=a(It,"TH",{});var zi=s(eo);Oa=i(zi,"Pipeline"),zi.forEach(o),Ma=d(It),to=a(It,"TH",{});var Oi=s(to);Ra=i(Oi,"Tasks"),Oi.forEach(o),Fa=d(It),yt=a(It,"TH",{align:!0});var Mi=s(yt);Ga=i(Mi,"Demo"),Mi.forEach(o),It.forEach(o),Li.forEach(o),Ha=d(Zr),oo=a(Zr,"TBODY",{});var Ri=s(oo);O=a(Ri,"TR",{});var qt=s(O);ro=a(qt,"TD",{});var Fi=s(ro);$e=a(Fi,"A",{href:!0,rel:!0});var Gi=s($e);Ua=i(Gi,"TextToVideoZeroPipeline"),Gi.forEach(o),Fi.forEach(o),Ba=d(qt),ao=a(qt,"TD",{});var Hi=s(ao);so=a(Hi,"EM",{});var Ui=s(so);Ka=i(Ui,"Zero-shot Text-to-Video Generation"),Ui.forEach(o),Hi.forEach(o),Ya=d(qt),Tt=a(qt,"TD",{align:!0});var Bi=s(Tt);Ee=a(Bi,"A",{href:!0,rel:!0});var Ki=s(Ee);Wa=i(Ki,"\u{1F917} Space"),Ki.forEach(o),Bi.forEach(o),qt.forEach(o),Ri.forEach(o),Zr.forEach(o),hr=d(t),M=a(t,"H2",{class:!0});var Lr=s(M);ee=a(Lr,"A",{id:!0,class:!0,href:!0});var Yi=s(ee);no=a(Yi,"SPAN",{});var Wi=s(no);m(ke.$$.fragment,Wi),Wi.forEach(o),Yi.forEach(o),Ja=d(Lr),io=a(Lr,"SPAN",{});var Ji=s(io);Qa=i(Ji,"Usage example"),Ji.forEach(o),Lr.forEach(o),mr=d(t),R=a(t,"H3",{class:!0});var zr=s(R);te=a(zr,"A",{id:!0,class:!0,href:!0});var Qi=s(te);lo=a(Qi,"SPAN",{});var Xi=s(lo);m(De.$$.fragment,Xi),Xi.forEach(o),Qi.forEach(o),Xa=d(zr),po=a(zr,"SPAN",{});var el=s(po);es=i(el,"Text-To-Video"),el.forEach(o),zr.forEach(o),ur=d(t),Pt=a(t,"P",{});var tl=s(Pt);ts=i(tl,"To generate a video from prompt, run the following python command"),tl.forEach(o),_r=d(t),m(je.$$.fragment,t),gr=d(t),$t=a(t,"P",{});var ol=s($t);os=i(ol,"You can change these parameters in the pipeline call:"),ol.forEach(o),vr=d(t),j=a(t,"UL",{});var Nt=s(j);oe=a(Nt,"LI",{});var Xo=s(oe);rs=i(Xo,"Motion field strength (see the "),Ce=a(Xo,"A",{href:!0,rel:!0});var rl=s(Ce);as=i(rl,"paper"),rl.forEach(o),ss=i(Xo,", Sect. 3.3.1):"),co=a(Xo,"UL",{});var al=s(co);$=a(al,"LI",{});var me=s($);fo=a(me,"CODE",{});var sl=s(fo);ns=i(sl,"motion_field_strength_x"),sl.forEach(o),is=i(me," and "),ho=a(me,"CODE",{});var nl=s(ho);ls=i(nl,"motion_field_strength_y"),nl.forEach(o),ps=i(me,". Default: "),mo=a(me,"CODE",{});var il=s(mo);ds=i(il,"motion_field_strength_x=12"),il.forEach(o),cs=i(me,", "),uo=a(me,"CODE",{});var ll=s(uo);fs=i(ll,"motion_field_strength_y=12"),ll.forEach(o),me.forEach(o),al.forEach(o),Xo.forEach(o),hs=d(Nt),E=a(Nt,"LI",{});var ue=s(E);_o=a(ue,"CODE",{});var pl=s(_o);ms=i(pl,"T"),pl.forEach(o),us=i(ue," and "),go=a(ue,"CODE",{});var dl=s(go);_s=i(dl,"T'"),dl.forEach(o),gs=i(ue," (see the "),Se=a(ue,"A",{href:!0,rel:!0});var cl=s(Se);vs=i(cl,"paper"),cl.forEach(o),bs=i(ue,", Sect. 3.3.1)"),vo=a(ue,"UL",{});var fl=s(vo);y=a(fl,"LI",{});var A=s(y);bo=a(A,"CODE",{});var hl=s(bo);xs=i(hl,"t0"),hl.forEach(o),ws=i(A," and "),xo=a(A,"CODE",{});var ml=s(xo);ys=i(ml,"t1"),ml.forEach(o),Ts=i(A," in the range "),wo=a(A,"CODE",{});var ul=s(wo);Ps=i(ul,"{0, ..., num_inference_steps}"),ul.forEach(o),$s=i(A,". Default: "),yo=a(A,"CODE",{});var _l=s(yo);Es=i(_l,"t0=45"),_l.forEach(o),ks=i(A,", "),To=a(A,"CODE",{});var gl=s(To);Ds=i(gl,"t1=48"),gl.forEach(o),A.forEach(o),fl.forEach(o),ue.forEach(o),js=d(Nt),Et=a(Nt,"LI",{});var ii=s(Et);Cs=i(ii,"Video length:"),Po=a(ii,"UL",{});var vl=s(Po);Ae=a(vl,"LI",{});var Or=s(Ae);$o=a(Or,"CODE",{});var bl=s($o);Ss=i(bl,"video_length"),bl.forEach(o),As=i(Or,", the number of frames video_length to be generated. Default: "),Eo=a(Or,"CODE",{});var xl=s(Eo);Vs=i(xl,"video_length=8"),xl.forEach(o),Or.forEach(o),vl.forEach(o),ii.forEach(o),Nt.forEach(o),br=d(t),F=a(t,"H3",{class:!0});var Mr=s(F);re=a(Mr,"A",{id:!0,class:!0,href:!0});var wl=s(re);ko=a(wl,"SPAN",{});var yl=s(ko);m(Ve.$$.fragment,yl),yl.forEach(o),wl.forEach(o),Is=d(Mr),Do=a(Mr,"SPAN",{});var Tl=s(Do);qs=i(Tl,"Text-To-Video with Pose Control"),Tl.forEach(o),Mr.forEach(o),xr=i(t,`

To generate a video from prompt with additional pose control
`),kt=a(t,"OL",{});var Pl=s(kt);Ie=a(Pl,"LI",{});var Rr=s(Ie);jo=a(Rr,"P",{});var $l=s(jo);Ns=i($l,"Download a demo video"),$l.forEach(o),Zs=d(Rr),m(qe.$$.fragment,Rr),Rr.forEach(o),Pl.forEach(o),wr=d(t),G=a(t,"OL",{start:!0});var Fr=s(G);H=a(Fr,"LI",{});var Zt=s(H);Co=a(Zt,"P",{});var El=s(Co);Ls=i(El,"Read video containing extracted pose images"),El.forEach(o),zs=d(Zt),m(Ne.$$.fragment,Zt),Os=d(Zt),Ze=a(Zt,"P",{});var Gr=s(Ze);Ms=i(Gr,"To extract pose from actual video, read "),Dt=a(Gr,"A",{href:!0});var kl=s(Dt);Rs=i(kl,"ControlNet documentation"),kl.forEach(o),Fs=i(Gr,"."),Gr.forEach(o),Zt.forEach(o),Gs=d(Fr),Le=a(Fr,"LI",{});var Hr=s(Le);ze=a(Hr,"P",{});var Ur=s(ze);Hs=i(Ur,"Run "),So=a(Ur,"CODE",{});var Dl=s(So);Us=i(Dl,"StableDiffusionControlNetPipeline"),Dl.forEach(o),Bs=i(Ur," with our custom attention processor"),Ur.forEach(o),Ks=d(Hr),m(Oe.$$.fragment,Hr),Hr.forEach(o),Fr.forEach(o),yr=d(t),U=a(t,"H3",{class:!0});var Br=s(U);ae=a(Br,"A",{id:!0,class:!0,href:!0});var jl=s(ae);Ao=a(jl,"SPAN",{});var Cl=s(Ao);m(Me.$$.fragment,Cl),Cl.forEach(o),jl.forEach(o),Ys=d(Br),Vo=a(Br,"SPAN",{});var Sl=s(Vo);Ws=i(Sl,"Text-To-Video with Edge Control"),Sl.forEach(o),Br.forEach(o),Tr=d(t),se=a(t,"P",{});var Kr=s(se);Js=i(Kr,`To generate a video from prompt with additional pose control,
follow the steps described above for pose-guided generation using `),Re=a(Kr,"A",{href:!0,rel:!0});var Al=s(Re);Qs=i(Al,"Canny edge ControlNet model"),Al.forEach(o),Xs=i(Kr,"."),Kr.forEach(o),Pr=d(t),B=a(t,"H3",{class:!0});var Yr=s(B);ne=a(Yr,"A",{id:!0,class:!0,href:!0});var Vl=s(ne);Io=a(Vl,"SPAN",{});var Il=s(Io);m(Fe.$$.fragment,Il),Il.forEach(o),Vl.forEach(o),en=d(Yr),qo=a(Yr,"SPAN",{});var ql=s(qo);tn=i(ql,"Video Instruct-Pix2Pix"),ql.forEach(o),Yr.forEach(o),$r=d(t),ie=a(t,"P",{});var Wr=s(ie);on=i(Wr,"To perform text-guided video editing (with "),jt=a(Wr,"A",{href:!0});var Nl=s(jt);rn=i(Nl,"InstructPix2Pix"),Nl.forEach(o),an=i(Wr,"):"),Wr.forEach(o),Er=d(t),C=a(t,"OL",{});var Lt=s(C);Ge=a(Lt,"LI",{});var Jr=s(Ge);No=a(Jr,"P",{});var Zl=s(No);sn=i(Zl,"Download a demo video"),Zl.forEach(o),nn=d(Jr),m(He.$$.fragment,Jr),Jr.forEach(o),ln=d(Lt),Ue=a(Lt,"LI",{});var Qr=s(Ue);Zo=a(Qr,"P",{});var Ll=s(Zo);pn=i(Ll,"Read video from path"),Ll.forEach(o),dn=d(Qr),m(Be.$$.fragment,Qr),Qr.forEach(o),cn=d(Lt),Ke=a(Lt,"LI",{});var Xr=s(Ke);Ye=a(Xr,"P",{});var ea=s(Ye);fn=i(ea,"Run "),Lo=a(ea,"CODE",{});var zl=s(Lo);hn=i(zl,"StableDiffusionInstructPix2PixPipeline"),zl.forEach(o),mn=i(ea," with our custom attention processor"),ea.forEach(o),un=d(Xr),m(We.$$.fragment,Xr),Xr.forEach(o),Lt.forEach(o),kr=d(t),K=a(t,"H3",{class:!0});var ta=s(K);le=a(ta,"A",{id:!0,class:!0,href:!0});var Ol=s(le);zo=a(Ol,"SPAN",{});var Ml=s(zo);m(Je.$$.fragment,Ml),Ml.forEach(o),Ol.forEach(o),_n=d(ta),Oo=a(ta,"SPAN",{});var Rl=s(Oo);gn=i(Rl,"Dreambooth specialization"),Rl.forEach(o),ta.forEach(o),Dr=d(t),b=a(t,"P",{});var w=s(b);vn=i(w,"Methods "),Mo=a(w,"STRONG",{});var Fl=s(Mo);bn=i(Fl,"Text-To-Video"),Fl.forEach(o),xn=i(w,", "),Ro=a(w,"STRONG",{});var Gl=s(Ro);wn=i(Gl,"Text-To-Video with Pose Control"),Gl.forEach(o),yn=i(w," and "),Fo=a(w,"STRONG",{});var Hl=s(Fo);Tn=i(Hl,"Text-To-Video with Edge Control"),Hl.forEach(o),Pn=i(w,`
can run with custom `),Ct=a(w,"A",{href:!0});var Ul=s(Ct);$n=i(Ul,"DreamBooth"),Ul.forEach(o),En=i(w,` models, as shown below for
`),Qe=a(w,"A",{href:!0,rel:!0});var Bl=s(Qe);kn=i(Bl,"Canny edge ControlNet model"),Bl.forEach(o),Dn=i(w,` and
`),Xe=a(w,"A",{href:!0,rel:!0});var Kl=s(Xe);jn=i(Kl,"Avatar style DreamBooth"),Kl.forEach(o),Cn=i(w," model"),w.forEach(o),jr=d(t),S=a(t,"OL",{});var zt=s(S);et=a(zt,"LI",{});var oa=s(et);Go=a(oa,"P",{});var Yl=s(Go);Sn=i(Yl,"Download demo video from huggingface"),Yl.forEach(o),An=d(oa),m(tt.$$.fragment,oa),oa.forEach(o),Vn=d(zt),ot=a(zt,"LI",{});var ra=s(ot);Ho=a(ra,"P",{});var Wl=s(Ho);In=i(Wl,"Read video from path"),Wl.forEach(o),qn=d(ra),m(rt.$$.fragment,ra),ra.forEach(o),Nn=d(zt),at=a(zt,"LI",{});var aa=s(at);st=a(aa,"P",{});var sa=s(st);Zn=i(sa,"Run "),Uo=a(sa,"CODE",{});var Jl=s(Uo);Ln=i(Jl,"StableDiffusionControlNetPipeline"),Jl.forEach(o),zn=i(sa," with custom trained DreamBooth model"),sa.forEach(o),On=d(aa),m(nt.$$.fragment,aa),aa.forEach(o),zt.forEach(o),Cr=d(t),pe=a(t,"P",{});var na=s(pe);Mn=i(na,"You can filter out some available DreamBooth-trained models with "),it=a(na,"A",{href:!0,rel:!0});var Ql=s(it);Rn=i(Ql,"this link"),Ql.forEach(o),Fn=i(na,"."),na.forEach(o),Sr=d(t),Y=a(t,"H2",{class:!0});var ia=s(Y);de=a(ia,"A",{id:!0,class:!0,href:!0});var Xl=s(de);Bo=a(Xl,"SPAN",{});var ep=s(Bo);m(lt.$$.fragment,ep),ep.forEach(o),Xl.forEach(o),Gn=d(ia),Ko=a(ia,"SPAN",{});var tp=s(Ko);Hn=i(tp,"TextToVideoZeroPipeline"),tp.forEach(o),ia.forEach(o),Ar=d(t),x=a(t,"DIV",{class:!0});var T=s(x);m(pt.$$.fragment,T),Un=d(T),Yo=a(T,"P",{});var op=s(Yo);Bn=i(op,"Pipeline for zero-shot text-to-video generation using Stable Diffusion."),op.forEach(o),Kn=d(T),dt=a(T,"P",{});var la=s(dt);Yn=i(la,"This model inherits from "),St=a(la,"A",{href:!0});var rp=s(St);Wn=i(rp,"StableDiffusionPipeline"),rp.forEach(o),Jn=i(la,`. Check the superclass documentation for the generic methods
the library implements for all the pipelines (such as downloading or saving, running on a particular device, etc.)`),la.forEach(o),Qn=d(T),ce=a(T,"DIV",{class:!0});var pa=s(ce);m(ct.$$.fragment,pa),Xn=d(pa),Wo=a(pa,"P",{});var ap=s(Wo);ei=i(ap,"Function invoked when calling the pipeline for generation."),ap.forEach(o),pa.forEach(o),ti=d(T),fe=a(T,"DIV",{class:!0});var da=s(fe);m(ft.$$.fragment,da),oi=d(da),Jo=a(da,"P",{});var sp=s(Jo);ri=i(sp,"Perform backward process given list of time steps"),sp.forEach(o),da.forEach(o),ai=d(T),he=a(T,"DIV",{class:!0});var ca=s(he);m(ht.$$.fragment,ca),si=d(ca),Qo=a(ca,"P",{});var np=s(Qo);ni=i(np,"Perform ddpm forward process from time t0 to t1. This is the same as adding noise with corresponding variance."),np.forEach(o),ca.forEach(o),T.forEach(o),this.h()},h(){l(q,"name","hf:doc:metadata"),l(q,"content",JSON.stringify(up)),l(W,"id","zeroshot-texttovideo-generation"),l(W,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(W,"href","#zeroshot-texttovideo-generation"),l(N,"class","relative group"),l(J,"id","overview"),l(J,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(J,"href","#overview"),l(Z,"class","relative group"),l(ve,"href","https://arxiv.org/abs/2303.13439"),l(ve,"rel","nofollow"),l(be,"href","https://www.ece.utexas.edu/people/faculty/atlas-wang"),l(be,"rel","nofollow"),l(xe,"href","https://www.humphreyshi.com"),l(xe,"rel","nofollow"),cp(vt.src,pi="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/diffusers/t2v_zero_teaser.png")||l(vt,"src",pi),l(vt,"alt","teaser-img"),l(we,"href","https://text2video-zero.github.io/"),l(we,"rel","nofollow"),l(ye,"href","https://arxiv.org/abs/2303.13439"),l(ye,"rel","nofollow"),l(Te,"href","https://github.com/Picsart-AI-Research/Text2Video-Zero"),l(Te,"rel","nofollow"),l(Q,"id","available-pipelines"),l(Q,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Q,"href","#available-pipelines"),l(L,"class","relative group"),l(yt,"align","center"),l($e,"href","https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/text_to_video_synthesis/pipeline_text_to_video_zero.py"),l($e,"rel","nofollow"),l(Ee,"href","https://huggingface.co/spaces/PAIR/Text2Video-Zero"),l(Ee,"rel","nofollow"),l(Tt,"align","center"),l(ee,"id","usage-example"),l(ee,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(ee,"href","#usage-example"),l(M,"class","relative group"),l(te,"id","texttovideo"),l(te,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(te,"href","#texttovideo"),l(R,"class","relative group"),l(Ce,"href","https://arxiv.org/abs/2303.13439"),l(Ce,"rel","nofollow"),l(Se,"href","https://arxiv.org/abs/2303.13439"),l(Se,"rel","nofollow"),l(re,"id","texttovideo-with-pose-control"),l(re,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(re,"href","#texttovideo-with-pose-control"),l(F,"class","relative group"),l(Dt,"href","./stable_diffusion/controlnet"),l(G,"start","2"),l(ae,"id","texttovideo-with-edge-control"),l(ae,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(ae,"href","#texttovideo-with-edge-control"),l(U,"class","relative group"),l(Re,"href","https://huggingface.co/lllyasviel/sd-controlnet-canny"),l(Re,"rel","nofollow"),l(ne,"id","video-instructpix2pix"),l(ne,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(ne,"href","#video-instructpix2pix"),l(B,"class","relative group"),l(jt,"href","./stable_diffusion/pix2pix"),l(le,"id","dreambooth-specialization"),l(le,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(le,"href","#dreambooth-specialization"),l(K,"class","relative group"),l(Ct,"href","../training/dreambooth"),l(Qe,"href","https://huggingface.co/lllyasviel/sd-controlnet-canny"),l(Qe,"rel","nofollow"),l(Xe,"href","https://huggingface.co/PAIR/text2video-zero-controlnet-canny-avatar"),l(Xe,"rel","nofollow"),l(it,"href","https://huggingface.co/models?search=dreambooth"),l(it,"rel","nofollow"),l(de,"id","diffusers.TextToVideoZeroPipeline"),l(de,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(de,"href","#diffusers.TextToVideoZeroPipeline"),l(Y,"class","relative group"),l(St,"href","/docs/diffusers/pr_3054/en/api/pipelines/stable_diffusion/text2img#diffusers.StableDiffusionPipeline"),l(ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(fe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(he,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,c){e(document.head,q),f(t,er,c),f(t,N,c),e(N,W),e(W,Ot),u(_e,Ot,null),e(N,ha),e(N,Mt),e(Mt,ma),f(t,tr,c),f(t,Z,c),e(Z,J),e(J,Rt),u(ge,Rt,null),e(Z,ua),e(Z,Ft),e(Ft,_a),f(t,or,c),f(t,P,c),e(P,ve),e(ve,ga),e(P,va),e(P,be),e(be,ba),e(P,xa),e(P,xe),e(xe,wa),e(P,ya),f(t,rr,c),f(t,ut,c),e(ut,Ta),f(t,ar,c),f(t,k,c),e(k,Gt),e(Gt,Pa),e(k,$a),e(k,Ht),e(Ht,Ea),e(k,ka),e(k,Ut),e(Ut,Da),f(t,sr,c),f(t,_t,c),e(_t,ja),f(t,nr,c),f(t,gt,c),e(gt,vt),f(t,ir,c),f(t,bt,c),e(bt,Ca),f(t,lr,c),f(t,xt,c),e(xt,Bt),e(Bt,Sa),f(t,pr,c),f(t,wt,c),e(wt,Aa),f(t,dr,c),f(t,D,c),e(D,Kt),e(Kt,we),e(we,Va),e(D,Ia),e(D,Yt),e(Yt,ye),e(ye,qa),e(D,Na),e(D,Wt),e(Wt,Te),e(Te,Za),f(t,cr,c),f(t,L,c),e(L,Q),e(Q,Jt),u(Pe,Jt,null),e(L,La),e(L,Qt),e(Qt,za),f(t,fr,c),f(t,X,c),e(X,Xt),e(Xt,z),e(z,eo),e(eo,Oa),e(z,Ma),e(z,to),e(to,Ra),e(z,Fa),e(z,yt),e(yt,Ga),e(X,Ha),e(X,oo),e(oo,O),e(O,ro),e(ro,$e),e($e,Ua),e(O,Ba),e(O,ao),e(ao,so),e(so,Ka),e(O,Ya),e(O,Tt),e(Tt,Ee),e(Ee,Wa),f(t,hr,c),f(t,M,c),e(M,ee),e(ee,no),u(ke,no,null),e(M,Ja),e(M,io),e(io,Qa),f(t,mr,c),f(t,R,c),e(R,te),e(te,lo),u(De,lo,null),e(R,Xa),e(R,po),e(po,es),f(t,ur,c),f(t,Pt,c),e(Pt,ts),f(t,_r,c),u(je,t,c),f(t,gr,c),f(t,$t,c),e($t,os),f(t,vr,c),f(t,j,c),e(j,oe),e(oe,rs),e(oe,Ce),e(Ce,as),e(oe,ss),e(oe,co),e(co,$),e($,fo),e(fo,ns),e($,is),e($,ho),e(ho,ls),e($,ps),e($,mo),e(mo,ds),e($,cs),e($,uo),e(uo,fs),e(j,hs),e(j,E),e(E,_o),e(_o,ms),e(E,us),e(E,go),e(go,_s),e(E,gs),e(E,Se),e(Se,vs),e(E,bs),e(E,vo),e(vo,y),e(y,bo),e(bo,xs),e(y,ws),e(y,xo),e(xo,ys),e(y,Ts),e(y,wo),e(wo,Ps),e(y,$s),e(y,yo),e(yo,Es),e(y,ks),e(y,To),e(To,Ds),e(j,js),e(j,Et),e(Et,Cs),e(Et,Po),e(Po,Ae),e(Ae,$o),e($o,Ss),e(Ae,As),e(Ae,Eo),e(Eo,Vs),f(t,br,c),f(t,F,c),e(F,re),e(re,ko),u(Ve,ko,null),e(F,Is),e(F,Do),e(Do,qs),f(t,xr,c),f(t,kt,c),e(kt,Ie),e(Ie,jo),e(jo,Ns),e(Ie,Zs),u(qe,Ie,null),f(t,wr,c),f(t,G,c),e(G,H),e(H,Co),e(Co,Ls),e(H,zs),u(Ne,H,null),e(H,Os),e(H,Ze),e(Ze,Ms),e(Ze,Dt),e(Dt,Rs),e(Ze,Fs),e(G,Gs),e(G,Le),e(Le,ze),e(ze,Hs),e(ze,So),e(So,Us),e(ze,Bs),e(Le,Ks),u(Oe,Le,null),f(t,yr,c),f(t,U,c),e(U,ae),e(ae,Ao),u(Me,Ao,null),e(U,Ys),e(U,Vo),e(Vo,Ws),f(t,Tr,c),f(t,se,c),e(se,Js),e(se,Re),e(Re,Qs),e(se,Xs),f(t,Pr,c),f(t,B,c),e(B,ne),e(ne,Io),u(Fe,Io,null),e(B,en),e(B,qo),e(qo,tn),f(t,$r,c),f(t,ie,c),e(ie,on),e(ie,jt),e(jt,rn),e(ie,an),f(t,Er,c),f(t,C,c),e(C,Ge),e(Ge,No),e(No,sn),e(Ge,nn),u(He,Ge,null),e(C,ln),e(C,Ue),e(Ue,Zo),e(Zo,pn),e(Ue,dn),u(Be,Ue,null),e(C,cn),e(C,Ke),e(Ke,Ye),e(Ye,fn),e(Ye,Lo),e(Lo,hn),e(Ye,mn),e(Ke,un),u(We,Ke,null),f(t,kr,c),f(t,K,c),e(K,le),e(le,zo),u(Je,zo,null),e(K,_n),e(K,Oo),e(Oo,gn),f(t,Dr,c),f(t,b,c),e(b,vn),e(b,Mo),e(Mo,bn),e(b,xn),e(b,Ro),e(Ro,wn),e(b,yn),e(b,Fo),e(Fo,Tn),e(b,Pn),e(b,Ct),e(Ct,$n),e(b,En),e(b,Qe),e(Qe,kn),e(b,Dn),e(b,Xe),e(Xe,jn),e(b,Cn),f(t,jr,c),f(t,S,c),e(S,et),e(et,Go),e(Go,Sn),e(et,An),u(tt,et,null),e(S,Vn),e(S,ot),e(ot,Ho),e(Ho,In),e(ot,qn),u(rt,ot,null),e(S,Nn),e(S,at),e(at,st),e(st,Zn),e(st,Uo),e(Uo,Ln),e(st,zn),e(at,On),u(nt,at,null),f(t,Cr,c),f(t,pe,c),e(pe,Mn),e(pe,it),e(it,Rn),e(pe,Fn),f(t,Sr,c),f(t,Y,c),e(Y,de),e(de,Bo),u(lt,Bo,null),e(Y,Gn),e(Y,Ko),e(Ko,Hn),f(t,Ar,c),f(t,x,c),u(pt,x,null),e(x,Un),e(x,Yo),e(Yo,Bn),e(x,Kn),e(x,dt),e(dt,Yn),e(dt,St),e(St,Wn),e(dt,Jn),e(x,Qn),e(x,ce),u(ct,ce,null),e(ce,Xn),e(ce,Wo),e(Wo,ei),e(x,ti),e(x,fe),u(ft,fe,null),e(fe,oi),e(fe,Jo),e(Jo,ri),e(x,ai),e(x,he),u(ht,he,null),e(he,si),e(he,Qo),e(Qo,ni),Vr=!0},p:fp,i(t){Vr||(_(_e.$$.fragment,t),_(ge.$$.fragment,t),_(Pe.$$.fragment,t),_(ke.$$.fragment,t),_(De.$$.fragment,t),_(je.$$.fragment,t),_(Ve.$$.fragment,t),_(qe.$$.fragment,t),_(Ne.$$.fragment,t),_(Oe.$$.fragment,t),_(Me.$$.fragment,t),_(Fe.$$.fragment,t),_(He.$$.fragment,t),_(Be.$$.fragment,t),_(We.$$.fragment,t),_(Je.$$.fragment,t),_(tt.$$.fragment,t),_(rt.$$.fragment,t),_(nt.$$.fragment,t),_(lt.$$.fragment,t),_(pt.$$.fragment,t),_(ct.$$.fragment,t),_(ft.$$.fragment,t),_(ht.$$.fragment,t),Vr=!0)},o(t){g(_e.$$.fragment,t),g(ge.$$.fragment,t),g(Pe.$$.fragment,t),g(ke.$$.fragment,t),g(De.$$.fragment,t),g(je.$$.fragment,t),g(Ve.$$.fragment,t),g(qe.$$.fragment,t),g(Ne.$$.fragment,t),g(Oe.$$.fragment,t),g(Me.$$.fragment,t),g(Fe.$$.fragment,t),g(He.$$.fragment,t),g(Be.$$.fragment,t),g(We.$$.fragment,t),g(Je.$$.fragment,t),g(tt.$$.fragment,t),g(rt.$$.fragment,t),g(nt.$$.fragment,t),g(lt.$$.fragment,t),g(pt.$$.fragment,t),g(ct.$$.fragment,t),g(ft.$$.fragment,t),g(ht.$$.fragment,t),Vr=!1},d(t){o(q),t&&o(er),t&&o(N),v(_e),t&&o(tr),t&&o(Z),v(ge),t&&o(or),t&&o(P),t&&o(rr),t&&o(ut),t&&o(ar),t&&o(k),t&&o(sr),t&&o(_t),t&&o(nr),t&&o(gt),t&&o(ir),t&&o(bt),t&&o(lr),t&&o(xt),t&&o(pr),t&&o(wt),t&&o(dr),t&&o(D),t&&o(cr),t&&o(L),v(Pe),t&&o(fr),t&&o(X),t&&o(hr),t&&o(M),v(ke),t&&o(mr),t&&o(R),v(De),t&&o(ur),t&&o(Pt),t&&o(_r),v(je,t),t&&o(gr),t&&o($t),t&&o(vr),t&&o(j),t&&o(br),t&&o(F),v(Ve),t&&o(xr),t&&o(kt),v(qe),t&&o(wr),t&&o(G),v(Ne),v(Oe),t&&o(yr),t&&o(U),v(Me),t&&o(Tr),t&&o(se),t&&o(Pr),t&&o(B),v(Fe),t&&o($r),t&&o(ie),t&&o(Er),t&&o(C),v(He),v(Be),v(We),t&&o(kr),t&&o(K),v(Je),t&&o(Dr),t&&o(b),t&&o(jr),t&&o(S),v(tt),v(rt),v(nt),t&&o(Cr),t&&o(pe),t&&o(Sr),t&&o(Y),v(lt),t&&o(Ar),t&&o(x),v(pt),v(ct),v(ft),v(ht)}}}const up={local:"zeroshot-texttovideo-generation",sections:[{local:"overview",title:"Overview"},{local:"available-pipelines",title:"Available Pipelines:"},{local:"usage-example",sections:[{local:"texttovideo",title:"Text-To-Video"},{local:"texttovideo-with-pose-control",title:"Text-To-Video with Pose Control"},{local:"texttovideo-with-edge-control",title:"Text-To-Video with Edge Control"},{local:"video-instructpix2pix",title:"Video Instruct-Pix2Pix"},{local:"dreambooth-specialization",title:"Dreambooth specialization "}],title:"Usage example"},{local:"diffusers.TextToVideoZeroPipeline",title:"TextToVideoZeroPipeline"}],title:"Zero-Shot Text-to-Video Generation "};function _p(li){return hp(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class wp extends ip{constructor(q){super();lp(this,q,_p,mp,pp,{})}}export{wp as default,up as metadata};
